%define kdeprefix /usr
%define version 1.1.1
%define kderelease 1
%define sourcedir stable/1.1.1/distribution/tar/generic/source

%define qtver  qt >= 1.42

%define kdename kdelibs
Name: %{kdename}
Summary: K Desktop Environment - Libraries
Version: %{version}
Release: %{kderelease}
Serial: 2
#Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.gz
Source: %{kdename}-%{version}.tar.gz
Group: System Environment/Libraries
Copyright: LGPL
BuildRoot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kfile (file access), kspell
(spelling checker), jscript (javascript), kab (addressbook), kimgio (image
manipulation), mediatool (sound, mixing and animation).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdelibs-%{version}

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check 
make KDEDIR=%{kdeprefix} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}
chmod a+x $RPM_BUILD_ROOT%{kdeprefix}/lib/*

# build file list
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
		$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig

%files -f ../file.list.%{kdename}

%changelog
* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane








